#include <SPI.h>
#include <ESP8266WiFi.h>
#include <ThingerWifi.h>


#define USERNAME "your thinger.io username here"
#define DEVICE_ID "your thinger device id here"
#define DEVICE_CREDENTIAL "your thinger device credential here"

#define SSID "your wifi SSID"
#define SSID_PASSWORD "wifi password"

ThingerWifi thing(USERNAME, DEVICE_ID, DEVICE_CREDENTIAL);


const int ldrPin = A0;  //the pin the LDR is attached to 

int ldrState = 0 ;      //current state of the LDR

float sensorValue = 0;

void setup() {
    Serial.begin(115200);
    pinMode(BUILTIN_LED, OUTPUT);
    thing.add_wifi(SSID, SSID_PASSWORD);
    pinMode(ldrPin, INPUT);

    // LDR resource
    thing["LDR"] >> [](pson & out){
        out = (unsigned int) analogRead(A0);
    };
}

void loop(){
    thing.handle(); // required thing handle
    // compare the LDR state to it's previous state
    sensorValue = analogRead(ldrPin);

    Serial.print(sensorValue);
    Serial.println(" ");

    delay(100);
    
  if (sensorValue > 500 && ldrState == 0){
    ldrState = 1;
    Serial.println(ldrState);
    delay(500);
  }

  else {
    if (sensorValue < 200 && ldrState == 1) {
      ldrState = 0;
      Serial.println(ldrState);
      thing.call_endpoint("laundry_off_email");
      delay(500);
    }
  }
    
}

